<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>GoddessProperties Member List</h1>This is the complete list of members for <a class="el" href="classGoddessProperties.html">GoddessProperties</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classGoddessProperties.html#a4f2ba997dde57ea80a6e22779085bc6d">containsNumber</a>(std::string key) const </td><td><a class="el" href="classGoddessProperties.html">GoddessProperties</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGoddessProperties.html#aeeb0301d7ab1ffcd8da54c9b1722b423">containsString</a>(std::string key) const </td><td><a class="el" href="classGoddessProperties.html">GoddessProperties</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGoddessProperties.html#a842a02d3b734bf990210ae961e1780eb">containsTabular</a>(std::string key) const </td><td><a class="el" href="classGoddessProperties.html">GoddessProperties</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGoddessProperties.html#ad339c13ca6b343b46b8b83f76864e416">convert</a>(double value, std::string unitStr)</td><td><a class="el" href="classGoddessProperties.html">GoddessProperties</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGoddessProperties.html#afe88f1a544d024ce28c7c26d662bc3e1">getFilename</a>() const </td><td><a class="el" href="classGoddessProperties.html">GoddessProperties</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGoddessProperties.html#a37cae41a3faa70855d1c2b12da6b0725">getNumber</a>(std::string key) const </td><td><a class="el" href="classGoddessProperties.html">GoddessProperties</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGoddessProperties.html#a023ea797f7854b1231263692cf6882f4">getString</a>(std::string key) const </td><td><a class="el" href="classGoddessProperties.html">GoddessProperties</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGoddessProperties.html#ae13c404bdbf5ae87b09b3b9bd61d701a">getTabular</a>(std::string key) const </td><td><a class="el" href="classGoddessProperties.html">GoddessProperties</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGoddessProperties.html#abc089262a570c84b28777f70c7851cfb">load</a>(std::string filename)</td><td><a class="el" href="classGoddessProperties.html">GoddessProperties</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGoddessProperties.html#a983382494fbd65a095b406e790c6a713">matchesCelsius</a>(std::string str)</td><td><a class="el" href="classGoddessProperties.html">GoddessProperties</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGoddessProperties.html#acfb231a773eb2619a02c63c0a4aa8461">matchesInfinity</a>(std::string str)</td><td><a class="el" href="classGoddessProperties.html">GoddessProperties</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGoddessProperties.html#a35be47d30858fb7d7ba82bd805279b6a">matchesPerCent</a>(std::string str)</td><td><a class="el" href="classGoddessProperties.html">GoddessProperties</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGoddessProperties.html#ad1f9845a78948df7ef3dfc07e18f367b">parseTabular</a>(std::ifstream *in, std::string key)</td><td><a class="el" href="classGoddessProperties.html">GoddessProperties</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGoddessProperties.html#a0c4fd6ff4e3170f4a971b03556985ae4">print</a>() const </td><td><a class="el" href="classGoddessProperties.html">GoddessProperties</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGoddessProperties.html#a2be44cd9cf712a3ccb6530f8e9d038e5">tabular</a> typedef</td><td><a class="el" href="classGoddessProperties.html">GoddessProperties</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGoddessProperties.html#a5b1f391ffa4dcfa85de98260869403a7">toString</a>() const </td><td><a class="el" href="classGoddessProperties.html">GoddessProperties</a></td><td></td></tr>
</table></div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 19 Jul 2016 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
